#!/usr/bin/php
<?
#include('Verfallen.php');

require_once('../functions.php');

$statistics = new Statistics();
$punkte = $statistics->gesammeltePunkte('2012-01-01','2013-12-31','U18');
print "U18: $punkte\n";
$punkte = $statistics->gesammeltePunkte('2012-01-01','2013-12-31','O18');
print "O18: $punkte\n";
exit;

#$healthmiles = new healthmiles();
#$points = $healthmiles->getPoints();
#print "Punkte: $points\n";
#$statistics = new statistics();
#print $statistics->getNumbers() . "\n";

$todayyear = date('Y',time());
$todaymonth = date('n',time());
$todayday= date('j',time());

#print "Today: $todayyear, $todaymonth, $todayday\n";

$statistic = new Statistics();
$latestentrydate = $statistic->getLastEntry();
if ('' == $latestentrydate) {
    exit;
}
print "Latest Entry Date: $latestentrydate\n";
list($startyear,$startmonth,$startday) = explode('-',$latestentrydate);

for ($year = $startyear; $year <= $todayyear; $year++) {
  for ($month = $startmonth; $month <= 12; $month++) {
    $starttimestamp = mktime(0,0,0,$month,1,$year);
    $daysinmonth = date("t", $starttimestamp);
    for ($day = $startday; $day <= $daysinmonth; $day++) {
        if ($year == $todayyear && $month == $todaymonth && $day >= $todayday) {
            print "Finished.\n";
            exit;
        }
        print "Errechne Statistiken für Jahr: $year, Monat: $month, Tag: $day\n";
        $statistics = new Statistics("$year-$month-$day");
        calcStatistics($statistics);
    }
    $startday = 1;
  }
  $startmonth = 1;
}

function calcStatistics($statistics) {
# Anzahl aktuell vergebener Punkte
    print "Gesamtpunktzahl: ";
    print $statistics->getAllPoints() . "\n";

# Wieviel Punkte verfallen zum Monatsende
    print "Zum Monatsende verfallen: ";
    print $statistics->getAllInvalidates() . "\n";

# Wieviel Punkte wurden eingelöst im letzten Monat
    print "Eingeloeste Punkte im Monat Mai: ";
    print $statistics->getEingeloestePunkte() . "\n";

# Wieviele Punkte sind aktuell einlösbar (dabei ist zu berücksichtigen ,dass die 500 HM-Grenze nur beim ersten Mal gilt. Wenn der Teilnehmer bereits einmal 500 HM erreprint "Aktuell einloesbar: ";
    print $statistics->getEinloesbarePunkte() . "\n";

# Neuanmeldungen seit dem letzten Abgleich vor 24 Stunden , getrennt nach U18 und HM Erwachsenen
    print "Gestrige Neuanmeldungen: (U18, Erwachsene): ";
    print $statistics->neueTeilnehmer(true) . ", ";
    print $statistics->neueTeilnehmer(false) . "\n";

# Absolute Teilnehmeranzahl
    print "Alle Teilnehmer: (U18, Erwachsene): ";
    print $statistics->getTeilnehmer(true) . ", ";
    print $statistics->getTeilnehmer(false);
    print "\n----------------------------\n";
    $statistics->insert();

}
?>
